Skip to main content

API Access Plans

API access is restricted to organisations that have opted into a paid plan. Organisations on API Access or Raw Data API Access can use the API. A 30-day free trial is available for both plans; users can opt in to try API access before subscribing.

Tier comparison​

PlanBehaviour
API AccessCore API access. Most endpoints behave the same. Some endpoints return a reduced set of data (see Endpoint-specific behaviour below).
Raw Data API AccessSame as API Access, plus full design-related data where applicable (e.g. full System Details response, compressed design on Projects).

For step-by-step instructions on enabling a plan, see How to Set Up Your OpenSolar Wallet and Enable API Access Plans.

Enabling API Access

After an API Access integration has been enabled for your organisation, access changes can take up to 5 minutes to take effect.

System Details​

Endpoint: GET /api/orgs/:org_id/projects/:project_id/systems/details/

  • API Access: The response will omit the custom_data field.
  • Raw Data API Access: The full response is returned as documented in Systems Details.

Projects​

Endpoint: GET /api/orgs/:org_id/projects/:id/

  • API Access: The design field (compressed design data) is omitted or null.
  • Raw Data API Access: The design field is populated with the compressed design data.